#
# spec file for package ktorrent
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ktorrent
Version:        4.3.0
Release:        0
Summary:        KDE BitTorrent Client
License:        GPL-2.0+
Group:          Productivity/Networking/File-Sharing
Url:            http://ktorrent.org/
Source0:        http://ktorrent.org/downloads/%{version}/%{name}-%{version}.tar.bz2
# Mimetype icons
Source1:        icons.tar.bz2
Source2:        ktorrent.1
Source3:        ktupnptest.1
# PATCH-FIX-OPENSUSE remove-links.diff adrian@suse.de -- Remove links to some search engine with maybe legal problems
Patch0:         remove-links.diff
# PATCH-FIX-OPENSUSE suse-dht-warning.diff wstephenson@novell.com -- Warning popup for DHT
Patch1:         suse-dht-warning.diff
# PATCH-FIX-OPENSUSE initial-preference.diff cmorve69@yahoo.es -- InitialPreference to set it as the default torrent downloader
Patch2:         initial-preference.diff
BuildRequires:  ImageMagick
BuildRequires:  fdupes
BuildRequires:  kdebase4-workspace-devel
BuildRequires:  libkdepimlibs4-devel
BuildRequires:  libktorrent-devel >= 1.3.0
%if %suse_version > 1200
BuildRequires:  pkgconfig(taglib)
%else
BuildRequires:  taglib-devel
%endif
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
Recommends:     %{name}-lang = %{version}
# ktorrent-devel was last used in openSUSE 11.4
Provides:       ktorrent-devel = %{version}
Obsoletes:      ktorrent-devel < %{version}
# libktcore12 was last used in openSUSE 11.4
Provides:       libktcore12 = %{version}
Obsoletes:      libktcore12 < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_pimlibs_requires
%kde4_runtime_requires

%description
KTorrent is a bittorrent application for KDE which allows you to download files
using the BitTorrent protocol. It enables you to run multiple torrents at the
same time and comes with extended features to make it a full-featured client
for BitTorrent.

%lang_package
%prep
%setup -q
%patch0
%if ! 0%{?packman_bs}
%patch1
%endif
%patch2
tar jxf %{SOURCE1}

%build
%cmake_kde4 -d build
%make_jobs

%install
cd build
%kde4_makeinstall
cd ..

# Not needed, fix "devel-file-in-non-devel-package" rpmlint warning
rm -f %{buildroot}%{_kde4_libdir}/libktcore.so

# patch image with wrong dimensions - fix rpmlint warning "wrong-icon-size"
mogrify -extent 16x16 -background transparent -gravity center %{buildroot}%{_kde4_iconsdir}/hicolor/22x22/actions/kt-encrypted.png
mogrify -scale 22x22 -background transparent %{buildroot}%{_kde4_iconsdir}/hicolor/22x22/actions/kt-encrypted.png

# Add man pages from help2man edited.
mkdir -p %{buildroot}%{_mandir}/man1
cp -a %{SOURCE2} %{buildroot}%{_mandir}/man1
cp -a %{SOURCE3} %{buildroot}%{_mandir}/man1

# Fix any .py files with shebangs and wrong permissions.
if test -z `find %{buildroot} -name *.py -perm 0644 -print0|xargs -0r grep -l '#!'`; \
then break;
else chmod -f 0755 `find %{buildroot} -name *.py -perm 0644 -print0|xargs -0r grep -l '#!'`; \
fi

%if 0%{?suse_version}
%suse_update_desktop_file -r %{name} Qt KDE Network P2P
%endif

# Remove unneeded locales
%if 0%{?suse_version} && 0%{?suse_version} < 1140
rm -rf %{buildroot}%{_datadir}/locale/ast/
rm -rf %{buildroot}%{_datadir}/locale/hne/
rm -rf %{buildroot}%{_datadir}/locale/sr@ijekavian/
rm -rf %{buildroot}%{_datadir}/locale/sr@ijekavianlatin/
%endif

%fdupes -s %{buildroot}

%find_lang %{name}

%kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog RoadMap
%{_kde4_bindir}/ktmagnetdownloader
%{_kde4_bindir}/ktorrent
%{_kde4_bindir}/ktupnptest
%{_kde4_modulesdir}/kt*.so
%{_kde4_modulesdir}/plasma_applet_ktorrent.so
%{_kde4_modulesdir}/plasma_engine_ktorrent.so
%{_kde4_libdir}/libktcore.so.*
%{_kde4_applicationsdir}/ktorrent.desktop
%doc %{_kde4_htmldir}/en/ktorrent/
%{_kde4_iconsdir}/hicolor/*/actions/kt-*.*
%{_kde4_iconsdir}/hicolor/*/apps/ktorrent.*
%{_kde4_iconsdir}/hicolor/*/mimetypes/torrent.*
%{_kde4_appsdir}/ktorrent/
%{_kde4_servicesdir}/kt*.desktop
%{_kde4_servicesdir}/magnet.protocol
%{_kde4_servicesdir}/plasma-applet-ktorrent.desktop
%{_kde4_servicesdir}/plasma-dataengine-ktorrent.desktop
%{_kde4_servicetypesdir}/ktorrentplugin.desktop
%doc %{_mandir}/man1/ktorrent.1%{ext_man}
%doc %{_mandir}/man1/ktupnptest.1%{ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root,-)
%exclude %{_kde4_htmldir}/en/ktorrent/

%changelog
